# RPM specfile for gnome-pilot-conduits module
# Generated Fri Jul 18 18:44:36 2003 GMT by Ximian build system
# $Id: bb_do,v 1.238 2003/07/15 21:02:10 thunder Exp $
# from 

%define nam	gnome-pilot-conduits
%define ver	2.0.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gnome-pilot-conduits
Version: 	2.0.10
Release:	0.ximian.4.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/gnome-pilot/
Epoch:		1
Source0:	gnome-pilot-conduits-2.0.10.tar.gz
BuildRequires:	gettext
BuildRequires:	gnome-pilot-devel >= 2.0.9
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot-conduits = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/gnome-pilot/conduits/*
/usr/share/pixmaps/*
/usr/lib/gnome-pilot/conduits/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-conduits-2.0.10
    ;;
all)
%setup  -q -n gnome-pilot-conduits-2.0.10
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Jul 18 2003 Ximian, Inc.

- Version: 1:2.0.10-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon May 19 2003 Ximian, Inc.

- Version: 1:2.0.9-0.ximian.4.1
- Summary: New build.
- New automated build.

